Package com.google.android.exoplayer2.ext.mediasession

## Interface MediaSessionConnector.RatingCallback

- All Superinterfaces:
    `MediaSessionConnector.CommandReceiver`
  Enclosing class:
    MediaSessionConnector

      public static interface MediaSessionConnector.RatingCallback
      extends MediaSessionConnector.CommandReceiver

  Callback receiving a user rating for the active media item.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onSetRating​(Player player, android.support.v4.media.RatingCompat rating)` | See `MediaSessionCompat.Callback.onSetRating(RatingCompat)`.
    `void` | `onSetRating​(Player player, android.support.v4.media.RatingCompat rating, Bundle extras)` | See `MediaSessionCompat.Callback.onSetRating(RatingCompat, Bundle)`.

    - ### Methods inherited from interface com.google.android.exoplayer2.ext.mediasession.MediaSessionConnector.CommandReceiver

      `onCommand`

- - ### Method Detail

    - #### onSetRating

          void onSetRating​(Player player,
                           android.support.v4.media.RatingCompat rating)

      See `MediaSessionCompat.Callback.onSetRating(RatingCompat)`.

    - #### onSetRating

          void onSetRating​(Player player,
                           android.support.v4.media.RatingCompat rating,
                           @Nullable
                           Bundle extras)

      See `MediaSessionCompat.Callback.onSetRating(RatingCompat, Bundle)`.